FROM node:12
RUN mkdir /game-server
WORKDIR /game-server
RUN npm install -g cnpm --registry=https://registry.npm.taobao.org
RUN cnpm install -g ts-node
RUN cnpm install -g typescript
RUN cnpm install -g pm2
RUN cnpm install -g pinus
RUN ln -sf /usr/share/zoneinfo/Asia/ShangHai /etc/localtime && \
	echo "Asia/Shanghai" > /etc/timezone && \
	dpkg-reconfigure -f noninteractive tzdata
CMD pinus start
